import { select, csv, scaleLinear, max, scaleBand } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

// Appending rectangles to svg element
// Creating rectangles for each row of the data table
const render = data => {
  const xScale = scaleLinear()
  .domain([0, max(data, d => d.population)])
  .range([0, width]);
  
  // seperating and determining bars height
  const yScale = scaleBand()
  	.domain(data.map(d=> d.country))
  	.range([0, height])
  
  svg.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('width', d => xScale(d.population))
  		.attr('height', yScale.bandwidth());
}

// loading of the csv
// passing of strings values to numbers
csv('data.csv').then(data => {
  data.forEach(d => {
    d.population = +d.population * 1000;
  });
  render(data);
});

// creating rectangles for each row